package jalview.datamodel;

import java.util.*;

public class HistoryItem
{
  public static final int EDIT = 0;
  public static final int SORT = 1;
  public static final int HIDE = 2;
  public static final int PASTE= 3;

  final int type;
  Vector sequences;
  Vector alignIndex;
  String description;
  Vector hiddenSeqs;

  public HistoryItem(String description, AlignmentI al, int type)
  {
    this.type = type;
    this.description = description;
    sequences = new Vector();
    alignIndex = new Vector();
    hiddenSeqs = new Vector();

    for (int i = 0; i < al.getHeight(); i++)
    {
      SequenceI seq = al.getSequenceAt(i);
      sequences.addElement(seq);
      alignIndex.addElement(i + "");
      hiddenSeqs.addElement(seq.getSequence().toString());
    }
  }

  public int getType()
  {return type;}

  public Vector getSequences()
  {return sequences;}

  public String getDescription()
  {return description; }

  public Vector getHidden()
  { return hiddenSeqs; }

  public int getAlignIndex(int seq)
  {
    return Integer.parseInt(alignIndex.elementAt(seq).toString());
  }

}
